ScanConfiguration (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.autoinventory.ScanConfiguration class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory
Class ScanConfiguration

    java.lang.Object
      org.hyperic.hq.autoinventory.ScanConfiguration

    public class ScanConfiguration

extends java.lang.Object

Encapsulates the global configuration information about an auto-inventory scan. By global, we mean the scan config stuff that is independent of any scan method.

Constructor Summary
`ScanConfiguration()`
`ScanConfiguration(ScanConfigurationCore core)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`ConfigResponse` | `getConfigResponse()`
`ScanConfigurationCore` | `getCore()`
`boolean` | `getIsDefaultScan()`
`ConfigResponse` | `getScanMethodConfig(ScanMethod scanMethod)` Get the configuration for a single scan method.
`ConfigResponse` | `getScanMethodConfig(java.lang.String scanMethodName)` Get the configuration for a single scan method.
`java.lang.String[]` | `getScanMethodNames()` Get the list of classnames for scan methods to use for this scan.
`ServerSignature[]` | `getServerSignatures()` Get the server signatures to scan for in this scan.
`void` | `setConfigResponse(ConfigResponse configResponse)`
`void` | `setCore(ScanConfigurationCore core)`
`void` | `setIsDefaultScan(boolean b)`
`void` | `setScanMethodConfig(ScanMethod scanMethod, ConfigResponse config)` Set the configuration for a single scan method.
`void` | `setServerSignatures(ServerSignature[] serverSigs)` Set the server signatures to scan for in this scan.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScanConfiguration

    public ScanConfiguration()

### ScanConfiguration

    public ScanConfiguration(ScanConfigurationCore core)

Method Detail

### getCore

    public ScanConfigurationCore getCore()

### setCore

    public void setCore(ScanConfigurationCore core)

### getIsDefaultScan

    public boolean getIsDefaultScan()

### setIsDefaultScan

    public void setIsDefaultScan(boolean b)

### getScanMethodNames

    public java.lang.String[] getScanMethodNames()

  Get the list of classnames for scan methods to use for this scan.

  Returns:
    An Iterator over a collection of Strings, each of which is a java class name of a class that implements the ScanMethod interface.

### setScanMethodConfig

    public void setScanMethodConfig(ScanMethod scanMethod,
                                    ConfigResponse config)

  Set the configuration for a single scan method.

  Parameters:
    `scanMethod` - The ScanMethod to configure.
    `config` - The configuration information to use when configuring the scan method at scan-time.

### getScanMethodConfig

    public ConfigResponse getScanMethodConfig(ScanMethod scanMethod)

  Get the configuration for a single scan method.

  Parameters:
    `scanMethod` - The ScanMethod to retrieve configuration information from.
  Returns:
    The ConfigResponse configuration information to use when configuring the scan method at scan-time.

### getScanMethodConfig

    public ConfigResponse getScanMethodConfig(java.lang.String scanMethodName)

  Get the configuration for a single scan method.

  Parameters:
    `scanMethodName` - The name of the ScanMethod to retrieve configuration information from.
  Returns:
    The ConfigResponse configuration information to use when configuring the scan method at scan-time.

### getServerSignatures

    public ServerSignature[] getServerSignatures()

  Get the server signatures to scan for in this scan.

  Returns:
    An array of ServerSignature objects indicating which servers to scan for.

### setServerSignatures

    public void setServerSignatures(ServerSignature[] serverSigs)

  Set the server signatures to scan for in this scan.

  Parameters:
    `serverSigs` - An array of ServerSignature objects indicating which server types to scan for.

### getConfigResponse

    public ConfigResponse getConfigResponse()

### setConfigResponse

    public void setConfigResponse(ConfigResponse configResponse)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.